Search dashboards and apps
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/content/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/content/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/content/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"description": "Quarterly revenue breakdown across all regions",
"folderPath": "/Finance/Reports",
"identifier": "12db1a0a",
"name": "Revenue by region",
"tileNames": [
"Revenue Trend",
"Regional Breakdown",
"YoY Comparison"
],
"verified": true,
"type": "dashboard",
"url": "https://blobsrus.omniapp.co/dashboards/12db1a0a?redirectToDashboard=true"
}
]
}{
"detail": "<string>",
"status": 400
}{
"detail": "Unauthorized: Missing or invalid API key",
"status": 401
}{
"error": "<response_code>",
"message": "<error_reason>"
}Content APIs
Search dashboards and apps
Free-text search over the organization’s dashboards and apps. Apps are included only if they are enabled for the organization.
GET
/
v1
/
content
/
search
Search dashboards and apps
Authorizations
bearerAuthorgApiKey
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
Max results to return (1-25).
Required range:
x <= 25Example:
10
Free-text keywords matched against names, descriptions, query names, folder names, labels, and creator names.
Minimum string length:
1Example:
"revenue by region"
Organization API key required. Target user membership ID.
Response
Matching dashboards and apps
Matching dashboards and apps, most relevant first.
Show child attributes
Show child attributes
Was this page helpful?

